import { ChainName, ChainId, Contracts, ContractsAbstract, Wormhole } from '@wormhole-foundation/connect-sdk';
import { AptosClient } from 'aptos';
/**
 * @category Aptos
 */
export declare class AptosContracts extends ContractsAbstract {
    protected _contracts: Map<ChainName, any>;
    protected wormhole: Wormhole;
    readonly client: AptosClient;
    constructor(wormholeBase: Wormhole, client: AptosClient);
    getContracts(chain: ChainName | ChainId): Contracts | undefined;
    mustGetContracts(chain: ChainName | ChainId): Contracts;
    getCore(chain: ChainName | ChainId): string | undefined;
    mustGetCore(chain: ChainName | ChainId): string;
    getBridge(chain: ChainName | ChainId): string | undefined;
    mustGetBridge(chain: ChainName | ChainId): string;
    getNftBridge(chain: ChainName | ChainId): string | undefined;
    mustGetNftBridge(chain: ChainName | ChainId): string;
    getTokenBridgeRelayer(chain: ChainName | ChainId): string | undefined;
    mustGetTokenBridgeRelayer(chain: ChainName | ChainId): void;
}
