import { AptosClient } from 'aptos';
import { ChainId } from '@wormhole-foundation/connect-sdk';
/**
 * Get qualified type of asset on Aptos given its origin info.
 * @param client Client used to transfer data to/from Aptos node
 * @param tokenBridgeAddress Address of token bridge
 * @param originChainId Chain ID of chain asset is originally from
 * @param originAddress Asset address on origin chain
 * @returns Fully qualified type of asset on Aptos
 */
export declare function getForeignAssetAptos(client: AptosClient, tokenBridgeAddress: string, originChainId: ChainId, originAddress: string): Promise<string | null>;
