"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIsTransferCompletedAptos = void 0;
const connect_sdk_1 = require("@wormhole-foundation/connect-sdk");
async function getIsTransferCompletedAptos(client, nftBridgeAddress, transferVaa) {
    // get handle
    nftBridgeAddress = (0, connect_sdk_1.ensureHexPrefix)(nftBridgeAddress);
    const state = (await client.getAccountResource(nftBridgeAddress, `${nftBridgeAddress}::state::State`)).data;
    const handle = state.consumed_vaas.elems.handle;
    // check if vaa hash is in consumed_vaas
    const transferVaaHash = (0, connect_sdk_1.getSignedVAAHash)(transferVaa);
    try {
        // when accessing Set<T>, key is type T and value is 0
        await client.getTableItem(handle, {
            key_type: 'vector<u8>',
            value_type: 'u8',
            key: transferVaaHash,
        });
        return true;
    }
    catch {
        return false;
    }
}
exports.getIsTransferCompletedAptos = getIsTransferCompletedAptos;
//# sourceMappingURL=getTransferComplete.js.map