import { AptosClient, Types } from 'aptos';
export declare const completeTransferAndRegister: (client: AptosClient, tokenBridgeAddress: string, transferVAA: Uint8Array) => Promise<Types.EntryFunctionPayload>;
/**
 * Register the token specified in the given VAA in the transfer recipient's account if necessary
 * and complete the transfer.
 * @param client Client used to transfer data to/from Aptos node
 * @param tokenBridgeAddress Address of token bridge
 * @param transferVAA Bytes of transfer VAA
 * @returns Transaction payload
 */
export declare function redeemOnAptos(client: AptosClient, tokenBridgeAddress: string, transferVAA: Uint8Array): Promise<Types.EntryFunctionPayload>;
