import { Types } from 'aptos';
import { ChainId } from '@wormhole-foundation/connect-sdk';
export declare const transferTokens: (tokenBridgeAddress: string, fullyQualifiedType: string, amount: string, recipientChainId: ChainId, recipient: Uint8Array, relayerFee: string, nonce: number) => Types.EntryFunctionPayload;
export declare const transferTokensWithPayload: (tokenBridgeAddress: string, fullyQualifiedType: string, amount: string, recipientChain: ChainId, recipient: Uint8Array, relayerFee: string, nonce: number, payload: string) => Types.EntryFunctionPayload;
/**
 * Transfer an asset on Aptos to another chain.
 * @param tokenBridgeAddress Address of token bridge
 * @param fullyQualifiedType Full qualified type of asset to transfer
 * @param amount Amount to send to recipient
 * @param recipientChain Target chain
 * @param recipient Recipient's address on target chain
 * @param relayerFee Fee to pay relayer
 * @param payload Payload3 data, leave undefined for basic token transfers
 * @returns Transaction payload
 */
export declare function transferFromAptos(tokenBridgeAddress: string, fullyQualifiedType: string, amount: string, recipientChain: ChainId, recipient: Uint8Array, relayerFee?: string, payload?: string): Types.EntryFunctionPayload;
